Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040278
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2019-02-26 17:472019-03-28 14:56
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision461aa8d25eb6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040278: Create Shipments From Orders is linking invoice lines with shipment lines that have different products if the order is invoiced

DescriptionCreate Shipments From Orders is linking invoice lines with shipment lines that have different products if the order is invoiced
Steps To ReproduceAs group admin role:
   Create 4 products and add a sales price to them
   Create a Goods Receipt:
      Add 2.5 units of the A product in a storage bin
      Add 5 units of the A product in a different storage bin
      Add 2.5 units of the A product in a different storage bin
      Add 5 units of the B product in a different storage bin

   Create a Sales Order
      Add 10 units of the A product to it
      Add 5 units of the B product to it
      Add 10 units of the C product to it
      Add 10 units of the D product to it

    Set it's invoice terms as Immediate and book it

    Go to Create Invoices From Orders and select previously created order
    Go to Create Shipments From Orders and select previously created order

    Go to the Sales Invoice created and check that the 3rd (product C) and 4th
 (product D) lines are related with the 2nd line of the shipment (product B)
TagsNo tags attached.
Attached Files? file icon QueryToUpdateWrongData_40278.sql [^] (286 bytes) 2019-03-11 13:51

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0033042 newTriage Finance Partially shipped Goods Shipment Line is linked to completely invoiced Sales Invoice Line 
depends on backport 00403143.0PR19Q1 closedAtulOpenbravo Create Shipments From Orders is linking invoice lines with shipment lines that have different products if the order is invoiced 
depends on backport 00403153.0PR18Q4.3 closedAtulOpenbravo Create Shipments From Orders is linking invoice lines with shipment lines that have different products if the order is invoiced 

-  Notes
(0110113)
AtulOpenbravo (developer)
2019-02-28 07:41

Test Plan

- Login as F&B International Group admin role:
- Create 4 products in F&B Espana Org. and add a sales price to them
- Create a Goods Receipt in F&B Espana Org.
      Add 2.5 units of the product A in a storage bin RN-0-0-0
      Add 5 units of the product A in a different storage bin RN-1-0-0
      Add 2.5 units of the product A in a different storage bin RN-2-0-0
      Add 5 units of the B product A in a different storage bin RN-Dev

- Create a Sales Order in F&B Espana Org.
      Add 10 units of the A product to it
      Add 5 units of the B product to it
      Add 10 units of the C product to it
      Add 10 units of the D product to it

- Set it's invoice terms as Immediate and book it

- Go to Create Invoices From Orders and select previously created order
- Go to Create Shipments From Orders and select previously created order

- Go to the Sales Invoice created and check that the 3rd (product C) and 4th
 (product D) lines have Goods Shipment Line reference as blank.
(0110253)
hgbot (developer)
2019-03-06 13:34

Repository: erp/devel/pi
Changeset: 461aa8d25eb6d87bb91a02bfabd8e9c3f0854c1a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Feb 28 11:24:05 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/461aa8d25eb6d87bb91a02bfabd8e9c3f0854c1a [^]

Fixes Issue 40278:Create Shipments From Orders is linking invoice
lines with shipment lines that have different products if the order
is invoiced

Reset the m_inoutline_id stored in v_NextNo when a new orderline
is being used to create m_inoutline record

---
M src-db/database/model/functions/M_INOUT_CREATE.xml
---
(0110258)
Sandrahuguet (developer)
2019-03-06 15:29

Code review + testing ok
(0110349)
AtulOpenbravo (developer)
2019-03-11 13:53

Attached query to fix wrong data. If required to establish 1 to 1 relationship between goods shipment line and sales invoice line, query attached in 32938 could be used.

https://issues.openbravo.com/view.php?id=32938 [^]
(0110848)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-26 17:47 ngarcia New Issue
2019-02-26 17:47 ngarcia Assigned To => Triage Finance
2019-02-26 17:47 ngarcia Modules => Core
2019-02-26 17:47 ngarcia Resolution time => 1552950000
2019-02-26 17:47 ngarcia Triggers an Emergency Pack => No
2019-02-26 17:49 ngarcia Issue Monitored: networkb
2019-02-27 10:25 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-02-27 19:21 AtulOpenbravo Status new => scheduled
2019-02-28 07:41 AtulOpenbravo Note Added: 0110113
2019-02-28 07:42 AtulOpenbravo Relationship added related to 0033042
2019-03-05 11:28 AtulOpenbravo Status scheduled => acknowledged
2019-03-05 11:29 AtulOpenbravo Status acknowledged => scheduled
2019-03-06 13:34 hgbot Checkin
2019-03-06 13:34 hgbot Note Added: 0110253
2019-03-06 13:34 hgbot Status scheduled => resolved
2019-03-06 13:34 hgbot Resolution open => fixed
2019-03-06 13:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/461aa8d25eb6d87bb91a02bfabd8e9c3f0854c1a [^]
2019-03-06 15:29 Sandrahuguet Review Assigned To => Sandrahuguet
2019-03-06 15:29 Sandrahuguet Note Added: 0110258
2019-03-06 15:29 Sandrahuguet Status resolved => closed
2019-03-06 15:29 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-11 13:51 AtulOpenbravo File Added: QueryToUpdateWrongData_40278.sql
2019-03-11 13:53 AtulOpenbravo Note Added: 0110349
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110848


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker